{pkgs, ...}: let
  hakase-screensaver-launch = pkgs.writeShellScriptBin "hakase-cmd-screensaver" ''
    # Placeholder for actual screensaver logic if needed
    echo "Screensaver placeholder"
  '';
in {
  home.packages = with pkgs; [
    terminaltexteffects
    hakase-screensaver-launch
  ];
  home.file.".config/hakase/branding/screensaver.txt" = {
    source = ../../assets/branding.txt;
  };
}